Sequence
Keywords: micromod.Sequence class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## micromod
Class Sequence

    java.lang.Object
      micromod.Sequence

public class Sequence
extends java.lang.Object

This class represents the sequence information contained in a ProTracker style music module. S3M and XM all have ProTracker-style sequences.

Nested Class Summary
`static class` | `Sequence.Pattern`

Field Summary
`int` | `defaultBPM`
`int` | `defaultTempo`
`int` | `numberOfChannels`
`int` | `numberOfPatterns`
`int[]` | `patternOrder`
`Sequence.Pattern[]` | `patterns`
`int` | `restartPosition`
`int` | `songLengthPatterns`

Constructor Summary
`Sequence()`

Method Summary
`int` | `getNumberOfChannels()` Get the number of channels, so the Mixer can calibrate itself
`int` | `getSongLength()` Get the song length, in patterns.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### patternOrder

    public int[] patternOrder

### patterns

    public Sequence.Pattern[] patterns

### numberOfChannels

    public int numberOfChannels

### songLengthPatterns

    public int songLengthPatterns

### restartPosition

    public int restartPosition

### numberOfPatterns

    public int numberOfPatterns

### defaultBPM

    public int defaultBPM

### defaultTempo

    public int defaultTempo

Constructor Detail

### Sequence

    public Sequence()

Method Detail

### getNumberOfChannels

    public int getNumberOfChannels()

  Get the number of channels, so the Mixer can calibrate itself

### getSongLength

    public int getSongLength()

  Get the song length, in patterns.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD